function [zac_QRS]=zacatekQRS(SWC,x,org,poloha_Q)
 
zac_QRS=[];
for i=1 : length(poloha_Q)  
    k=1;
    if (poloha_Q(i)-2-k)>1 && poloha_Q(i)> 25
    y=SWC(2,poloha_Q(i)-1);
    while y >12 && (poloha_Q(i)-2-k)>1;  
        k=k+1;
        y=SWC(2,poloha_Q(i)-2-k);
    end
    if abs(SWC(2,poloha_Q(i)-2-k))< abs(SWC(2,poloha_Q(i)-2-k+1))
         zac_QRS = [zac_QRS (poloha_Q(i)-1-k)];   
    else
         zac_QRS = [zac_QRS (poloha_Q(i)-1-k+1)]; 
    end
    end
end

zac_QRS=zac_QRS+1;